Bug 1461443 - non fatal error message printed out when pitivi is started from the command line
non fatal error message printed out when pitivi is started from the command line
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-06-14 09:05 EDT by Harish Pillay
Modified: 2017-06-14 09:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-06-14 09:36:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Harish Pillay 2017-06-14 09:05:36 EDT
Description of problem:
when pitivi is started from the command line, it runs, but does output a non-fatal error message:
(pitivi:2572): Gtk-WARNING **: Allocating size to GtkScrollbar 0x55f282a7cee0 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

Version-Release number of selected component (if applicable):
$ rpm -qil pitivi
Name        : pitivi
Version     : 0.98
Release     : 7.fc26
Architecture: x86_64
Install Date: Mon 12 Jun 2017 08:48:42 PM
Group       : Unspecified
Size        : 9901692
License     : LGPLv2+
Signature   : RSA/SHA256, Sat 10 Jun 2017 06:02:10 AM, Key ID 812a6b4b64dab85d
Source RPM  : pitivi-0.98-7.fc26.src.rpm
Build Date  : Fri 09 Jun 2017 11:11:01 PM
Build Host  : buildvm-23.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://www.pitivi.org/

How reproducible:
Fully updated Fedora 26 beta and start pitivi from the commandline.

Steps to Reproduce:
1. open terminal
2. type in pitivi
3. pitivi starts but also prints out the error message about resizing.

Actual results:

Pitivi runs fine which is good, but since it does print out that error message, it might be useful to fix it.

Expected results:

not to see the error message.

Additional info:

Comment 1 Igor Gnatenko 2017-06-14 09:36:40 EDT
Please, report this bug to upstream...

Note You need to log in before you can comment on or make changes to this bug.